org.apache.poi.hdgf.pointers

## Class Pointer

- java.lang.Object
- - org.apache.poi.hdgf.pointers.Pointer

- Direct Known Subclasses:
    PointerV5, PointerV6

      public abstract class Pointer
      extends java.lang.Object

  Base class of pointers, which hold metadata and offsets about blocks elsewhere in the file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pointer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `destinationCompressed()`
    `abstract boolean` | `destinationHasChunks()`
    `abstract boolean` | `destinationHasPointers()`
    `abstract boolean` | `destinationHasStrings()`
    `int` | `getAddress()`
    `short` | `getFormat()`
    `int` | `getLength()`
    `abstract int` | `getNumPointers(int offset, byte[] data)`
    `abstract int` | `getNumPointersOffset(byte[] data)`
    `int` | `getOffset()`
    `abstract int` | `getPostNumPointersSkip()`
    `abstract int` | `getSizeInBytes()`
    `int` | `getType()`
    `protected boolean` | `isFormatBetween(int min, int max)`
    `protected void` | `setAddress(int address)`
    `protected void` | `setFormat(short format)`
    `protected void` | `setLength(int length)`
    `protected void` | `setOffset(int offset)`
    `protected void` | `setType(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Pointer

          public Pointer()

  - ### Method Detail

    - #### getAddress

          public int getAddress()

    - #### getFormat

          public short getFormat()

    - #### getLength

          public int getLength()

    - #### getOffset

          public int getOffset()

    - #### getType

          public int getType()

    - #### getSizeInBytes

          public abstract int getSizeInBytes()

    - #### getNumPointersOffset

          public abstract int getNumPointersOffset(byte[] data)

    - #### getNumPointers

          public abstract int getNumPointers(int offset,
                                             byte[] data)

    - #### getPostNumPointersSkip

          public abstract int getPostNumPointersSkip()

    - #### destinationHasStrings

          public abstract boolean destinationHasStrings()

    - #### destinationHasPointers

          public abstract boolean destinationHasPointers()

    - #### destinationHasChunks

          public abstract boolean destinationHasChunks()

    - #### destinationCompressed

          public abstract boolean destinationCompressed()

    - #### setType

          protected void setType(int type)

    - #### setAddress

          protected void setAddress(int address)

    - #### setOffset

          protected void setOffset(int offset)

    - #### setLength

          protected void setLength(int length)

    - #### setFormat

          protected void setFormat(short format)

    - #### isFormatBetween

          protected boolean isFormatBetween(int min,
                                            int max)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.